%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           bigboard
Version:        0.5.38
Release:        1%{?dist}
Summary:        Sidebar application launcher using mugshot.org

Group:          Applications/Internet
License:        GPL
URL:            http://mugshot.org/
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/bigboard/0.5/bigboard-%{version}.tar.bz2
# This patch is Fedora-specific
Patch0:         bigboard-default-fedora-theme.patch
# Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=444870
Patch1:         bigboard-0.5.34-noshutdown.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       mugshot >= 1.1.90-1
Requires:       deskbar-applet
Requires:       hippo-canvas-python >= 0.2.23
Requires:       gnome-python2-desktop
Requires:       gnome-python2-gnomedesktop
Requires:       gnome-python2-gnomekeyring
Requires:       gnome-python2-gconf
Requires:	gnome-python2-applet
Requires:       dbus-python
Requires:       online-desktop
Requires:	python-BeautifulSoup
Requires:       python-gdata

BuildRequires:	pkgconfig
BuildRequires:	intltool
BuildRequires:	gtk2-devel
BuildRequires:	pygtk2-devel
BuildRequires:  dbus-devel
BuildRequires:  GConf2-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gnome-desktop-devel
BuildRequires:	gnome-keyring-devel
BuildRequires:  desktop-data-model-devel
BuildRequires:  libsoup-devel

%description
Bigboard is a sidebar and application launcher that works with mugshot.org
to provide an online experience.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure --disable-static --disable-pymod-checks --disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/gconf/schemas/bigboard.schemas
%doc COPYING
%dir %{_libexecdir}/bigboard
%attr(0755,root,root) %{_libexecdir}/bigboard/*
%dir %{python_sitearch}/bigboard
%{python_sitearch}/bigboard/*.so
%{python_sitearch}/bigboard/*.py
%{python_sitearch}/bigboard/*.pyc
%{python_sitearch}/bigboard/*.pyo
%dir %{python_sitearch}/bigboard/libbig
%{python_sitearch}/bigboard/libbig/*.py
%{python_sitearch}/bigboard/libbig/*.pyc
%{python_sitearch}/bigboard/libbig/*.pyo
%dir %{python_sitearch}/bigboard/httplib2
%{python_sitearch}/bigboard/httplib2/*.py
%{python_sitearch}/bigboard/httplib2/*.pyc
%{python_sitearch}/bigboard/httplib2/*.pyo
%dir %{python_sitearch}/bigboard/keybinder
%{python_sitearch}/bigboard/keybinder/*.so
%{python_sitearch}/bigboard/keybinder/*.py
%{python_sitearch}/bigboard/keybinder/*.pyc
%{python_sitearch}/bigboard/keybinder/*.pyo
%dir %{python_sitearch}/bigboard/libgmail
%{python_sitearch}/bigboard/libgmail/*.py
%{python_sitearch}/bigboard/libgmail/*.pyc
%{python_sitearch}/bigboard/libgmail/*.pyo
%{python_sitearch}/bigboard/libgmail/README
%{python_sitearch}/bigboard/libgmail/COPYING
%dir %{python_sitearch}/bigboard/libgmail/ClientCookie
%{python_sitearch}/bigboard/libgmail/ClientCookie/*.py
%{python_sitearch}/bigboard/libgmail/ClientCookie/*.pyc
%{python_sitearch}/bigboard/libgmail/ClientCookie/*.pyo
%dir %{python_sitearch}/bigboard/stocks
%{python_sitearch}/bigboard/stocks/*
%dir %{python_sitearch}/bigboard/themes
%{python_sitearch}/bigboard/themes/*
%dir %{_datadir}/bigboard
%{_datadir}/bigboard/*
%{_datadir}/online-prefs-sync/*.synclist
%{_datadir}/gnome-2.0/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/bigboard-applets
# no desktop file included because the bigboard is launched as part of online
# desktop mode

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

%changelog
* Thu Jun 19 2008 Owen Taylor <otaylor@redhat.com> - 0.5.38-1
- Update to 0.5.38 (improvements for people search)

* Wed Jun 18 2008 Owen Taylor <otaylor@redhat.com> - 0.5.37-1
- Update to 0.5.37 (fixes problem with libgmail not being installed)

* Mon Jun 16 2008 Owen Taylor <otaylor@redhat.com> - 0.5.35-2
- Fix file list for files that are no longer there

* Mon Jun 16 2008 Owen Taylor <otaylor@redhat.com> - 0.5.35-1
- Update to 0.5.35

* Mon May  5 2008 Owen Taylor <otaylor@redhat.com> - 0.5.34-3
- Remove "or shutdown" from "Logout or shutdown" to work around
  https://bugzilla.redhat.com/show_bug.cgi?id=444870

* Wed Apr 30 2008 Owen Taylor <otaylor@redhat.com> - 0.5.34-2
- Fix tarball name for .gz vs .bz2

* Wed Apr 30 2008 Owen Taylor <otaylor@redhat.com> - 0.5.34-1
- New upstream version (Fixes http://bugzilla.gnome.org/show_bug.cgi?id=529972)

* Fri Apr 25 2008 Colin Walters <walters@redhat.com> - 0.5.33-2
- add missing requires

* Thu Apr 24 2008 Colin Walters <walters@redhat.com> - 0.5.33-1
- new upstream

* Fri Apr 04 2008 Colin Walters <walters@redhat.com> - 0.5.31-2
- Default to Fedora theme

* Tue Apr 01 2008 Colin Walters <walters@redhat.com> - 0.5.31-1
- new upstream

* Wed Feb 26 2008 Colin Walters <walters@redhat.com> - 0.5.29-1
- new upstream

* Fri Oct 26 2007 Colin Walters <walters@redhat.com> - 0.5.26-1
- new upstream

* Fri Oct 26 2007 Colin Walters <walters@redhat.com> - 0.5.25-1
- new upstream

* Thu Oct 25 2007 Colin Walters <walters@redhat.com> - 0.5.24-1
- new upstream

* Wed Oct 17 2007 Colin Walters <walters@redhat.com> - 0.5.23-1
- new upstream
- require gconf devel

* Fri Oct 05 2007 Colin Walters <walters@redhat.com> - 0.5.22-1
- new upstream

* Tue Oct 02 2007 Colin Walters <walters@redhat.com> - 0.5.21-2
- require online-desktop

* Tue Oct 02 2007 Colin Walters <walters@redhat.com> - 0.5.21-1
- new upstream

* Fri Sep 27 2007 Colin Walters <walters@redhat.com> - 0.5.20-1
- new upstream

* Thu Sep 27 2007 Colin Walters <walters@redhat.com> - 0.5.19-1
- new upstream

* Fri Sep 21 2007 Colin Walters <walters@redhat.com> - 0.5.18-1
- new upstream

* Thu Sep 20 2007 Colin Walters <walters@redhat.com> - 0.5.17-1
- new upstream
- add br

* Wed Sep 12 2007 Colin Walters <walters@redhat.com> - 0.5.16-1
- new upstream

* Mon Sep 10 2007 Colin Walters <walters@redhat.com> - 0.5.15-1
- new upstream

* Fri Sep 07 2007 Colin Walters <walters@redhat.com> - 0.5.12-2
- some brs

* Thu Sep 06 2007 Colin Walters <walters@redhat.com> - 0.5.12-1
- new upstream

* Mon Aug 27 2007 Colin Walters <walters@redhat.com> - 0.5.11-1
- new upstream

* Thu Aug 22 2007 Colin Walters <walters@redhat.com> - 0.5.10-1
- new upstream

* Wed Aug 21 2007 Colin Walters <walters@redhat.com> - 0.5.8-1
- new upstream

* Wed Aug 01 2007 Colin Walters <walters@redhat.com> - 0.5.5-1
- new upstream

* Mon Jul 30 2007 Colin Walters <walters@redhat.com> - 0.5.4-1
- new upstream

* Fri Jul 13 2007 Colin Walters <walters@redhat.com> - 0.5.3-1
- new upstream

* Thu Jul 12 2007 Colin Walters <walters@redhat.com> - 0.5.2-1
- new upstream
- add gconf to files

* Thu Jul 12 2007 Colin Walters <walters@redhat.com> - 0.5.1-1
- new upstream

* Wed Jul 11 2007 Colin Walters <walters@redhat.com> - 0.5.0-1
- new upstream
- Require latest canvas
- add more stuff to files

* Mon Jul 02 2007 Colin Walters <walters@redhat.com> - 0.4.9-1
- 0.4.9 (b.r.c 246417)

* Fri Jun 29 2007 Colin Walters <walters@redhat.com> - 0.4.8-2
- update
- disable schemas install

* Thu Jun 28 2007 Colin Walters <walters@redhat.com> - 0.4.7-1
- update
- add gconf goo
- require latest mugshot

* Fri Jun 08 2007 Colin Walters <walters@redhat.com> - 0.4.6-1
- update
- disable pymod checks
- remove python build requires

* Fri Jun 08 2007 Colin Walters <walters@redhat.com> - 0.4.3-2
- disttag

* Wed Jun 06 2007 Colin Walters <walters@redhat.com> - 0.4.3-1
- update
- Use sitearch for everything

* Mon Jun 04 2007 Colin Walters <walters@redhat.com> - 0.4.2-1
- update

* Fri Jun 01 2007 Colin Walters <walters@redhat.com> - 0.4.1-1
- update

* Thu May 31 2007 Colin Walters <walters@redhat.com> - 0.4.0-2
- br intltool

* Thu May 31 2007 Colin Walters <walters@redhat.com> - 0.4.0-1
- Update 

* Thu May 17 2007 Colin Walters <walters@redhat.com> - 0.3.2-6
- Fix stale ref to keybinder sitelib

* Thu May 17 2007 Colin Walters <walters@redhat.com> - 0.3.2-5
- Use sitelib/sitearch as appropriate 

* Wed May 16 2007 Colin Walters <walters@redhat.com> - 0.3.2-4
- Add patch for pyexecdir

* Wed May 16 2007 Colin Walters <walters@redhat.com> - 0.3.2-3
- Own more dirs

* Wed May 16 2007 Colin Walters <walters@redhat.com> - 0.3.2-2
- Ownzor datadir directly

* Tue May 15 2007 Colin Walters <walters@redhat.com> - 0.3.2-1
- Update
- Remove la files
- Add note about desktop file
- Own datadir/bigboard and libexecdir/bigboard

* Tue May 15 2007 Colin Walters <walters@redhat.com> - 0.3.1-1
- Update
- Use python sitelib
- Remove unused gconf bits
- Use full source url 

* Mon May 14 2007 Colin Walters <walters@redhat.com> - 0.3-1
- Update 

* Mon Apr 30 2007 Colin Walters <walters@redhat.com> - 0.1.6-1
- Update 

* Mon Apr 30 2007 Colin Walters <walters@redhat.com> - 0.1.5-1
- Update 
- Bump some rpm requirements

* Thu Apr 19 2007 Colin Walters <walters@redhat.com> - 0.1.4-1
- Update 

* Wed Apr 18 2007 Colin Walters <walters@redhat.com> - 0.1.3-1
- Update 
- Require hippo-canvas-python

* Tue Apr 17 2007 Colin Walters <walters@redhat.com> - 0.1.2-1
- Update 

* Mon Apr 09 2007 Colin Walters <walters@redhat.com> - 0.1.1-1
- Update 

* Fri Mar 30 2007 Colin Walters <walters@redhat.com> - 0.1-1
- Initial public offering 

